package com.fr.plugin.third.party.jsdbahfc.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;

/**
 * 配置数据保存
 */
@Visualization(category = "定制化主题")
public class CustomDataConfig extends DefaultConfiguration {
    @Override
    public String getNameSpace() {
        return this.getClass().getName();
    }

    private static volatile CustomDataConfig config = null;

    public static CustomDataConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(CustomDataConfig.class);
        }
        return config;
    }

    @Identifier(value = "showSystemMessage", name = "显示系统消息图标", description = "", status = Status.SHOW)
    private Conf<Boolean> showSystemMessage = Holders.simple(true);

    @Identifier(value = "showFullScreen", name = "显示全屏图标", description = "", status = Status.SHOW)
    private Conf<Boolean> showFullScreen = Holders.simple(true);

    public Boolean isShowSystemMessage() {
        return showSystemMessage.get();
    }

    public void setShowSystemMessage(Boolean showSystemMessage) {
        this.showSystemMessage.set(showSystemMessage);
    }

    public Boolean isShowFullScreen() {
        return showFullScreen.get();
    }

    public void setShowFullScreen(Boolean showFullScreen) {
        this.showFullScreen.set(showFullScreen);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        CustomDataConfig cloned = (CustomDataConfig) super.clone();
        cloned.showSystemMessage = (Conf<Boolean>) showSystemMessage.clone();
        cloned.showFullScreen = (Conf<Boolean>) showFullScreen.clone();
        return cloned;
    }
}
