package com.fr.plugin.third.party.jsdbahfc.web;

import com.fr.decision.fun.impl.AbstractThemeVariousProvider;
import com.fr.decision.web.MainComponent;
import com.fr.plugin.third.party.jsdbahfc.ThemeConstants;
import com.fr.plugin.third.party.jsdbahfc.Utils;
import com.fr.stable.fun.Authorize;
import com.fr.web.struct.Atom;

/**
 * 决策平台页面
 */
@Authorize(callSignKey = ThemeConstants.PLUGIN_ID)
public class CustomisedThemeMain extends AbstractThemeVariousProvider {
    @Override
    public Atom attach() {
        //在平台主组件加载时添加我们自己的组件
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        //我们自己要引入的组件
        Utils.logFunction();
        return MainFilesComponent.KEY;
    }

    @Override
    public String name() {
        return "定制化主题";
    }

    @Override
    public String text() {
        return "定制化主题";
    }

    @Override
    public String coverPath() {
        return "com/fr/plugin/third/party/jsdbahfc/image/theme-logo.png";
    }
}
